package main

import (
	"github.com/mhaya"
	mhayaCron "github.com/mhaya/components/cron"
	mhayaGORM "github.com/mhaya/components/gorm"
	"github.com/mhaya/game/game_cluster/internal/data"
	"github.com/mhaya/game/game_cluster/internal/mdb"
	"github.com/mhaya/game/game_cluster/nodes/center/module/ops"
	"github.com/mhaya/game/game_cluster/nodes/logstash/module/handlelog"
)

func main() {
	app := mhaya.Configure(
		"./game/config/profile-gc.json",
		"m-logstash",
		false,
		mhaya.Cluster,
	)

	app.Register(mhayaCron.New())
	app.Register(data.New())
	// 注册db组件
	app.Register(mhayaGORM.NewComponent())

	app.AddActors(
		&handlelog.HandleLogObject{},
		&ops.ActorOps{},
		&mdb.ActorDB{},
	)

	app.Startup()
}
